using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

public class CourseMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<Course, NceeCourseDto>().Map(d => d.Sequence, s => (s.Id == 8 || s.Id == 100 || s.Id == 101) ? (s.Id == 8 ? 4 : (s.Id == 100 ? 101 : 100)) : s.Id);
    }
}
